// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserUpdateOKCode is the HTTP code returned for type UserUpdateOK
const UserUpdateOKCode int = 200

/*UserUpdateOK The user information


swagger:response userUpdateOK
*/
type UserUpdateOK struct {

	/*
	  In: Body
	*/
	Payload *models.Userinfo `json:"body,omitempty"`
}

// NewUserUpdateOK creates UserUpdateOK with default headers values
func NewUserUpdateOK() *UserUpdateOK {

	return &UserUpdateOK{}
}

// WithPayload adds the payload to the user update o k response
func (o *UserUpdateOK) WithPayload(payload *models.Userinfo) *UserUpdateOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user update o k response
func (o *UserUpdateOK) SetPayload(payload *models.Userinfo) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserUpdateOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserUpdateUnauthorizedCode is the HTTP code returned for type UserUpdateUnauthorized
const UserUpdateUnauthorizedCode int = 401

/*UserUpdateUnauthorized Unauthorized

swagger:response userUpdateUnauthorized
*/
type UserUpdateUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserUpdateUnauthorized creates UserUpdateUnauthorized with default headers values
func NewUserUpdateUnauthorized() *UserUpdateUnauthorized {

	return &UserUpdateUnauthorized{}
}

// WithPayload adds the payload to the user update unauthorized response
func (o *UserUpdateUnauthorized) WithPayload(payload *models.Error) *UserUpdateUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user update unauthorized response
func (o *UserUpdateUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserUpdateUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserUpdateNotFoundCode is the HTTP code returned for type UserUpdateNotFound
const UserUpdateNotFoundCode int = 404

/*UserUpdateNotFound the user does not exist

swagger:response userUpdateNotFound
*/
type UserUpdateNotFound struct {
}

// NewUserUpdateNotFound creates UserUpdateNotFound with default headers values
func NewUserUpdateNotFound() *UserUpdateNotFound {

	return &UserUpdateNotFound{}
}

// WriteResponse to the client
func (o *UserUpdateNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserUpdateDefault generic error response

swagger:response userUpdateDefault
*/
type UserUpdateDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserUpdateDefault creates UserUpdateDefault with default headers values
func NewUserUpdateDefault(code int) *UserUpdateDefault {
	if code <= 0 {
		code = 500
	}

	return &UserUpdateDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user update default response
func (o *UserUpdateDefault) WithStatusCode(code int) *UserUpdateDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user update default response
func (o *UserUpdateDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user update default response
func (o *UserUpdateDefault) WithPayload(payload *models.Error) *UserUpdateDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user update default response
func (o *UserUpdateDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserUpdateDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
